var feedback;
var tipo="";

function validarEncuestaBloque(){
	var idBloque = $("#idBloqueDetalle").val();
	var result="";
	jQuery.ajax({
		type: 'GET',
		url: '/y41egGestionWar/bloque/validarBloque/'+ idBloque,
		dataType:"json",
		contentType: "application/json",
		async: false,
		success : function(data) {
			result = data;
		}
	});
	return result;
}

function guardarBloque(type, url){
	var bloque=jQuery("#bloque_detail_form").rup_form().formToJson();
	jQuery.ajax({
		type: type,
		url: url,
		dataType:"json",
		contentType: "application/json",
		data: $.toJSON(bloque),
		async: true,
		success : function() {
			$("#sortableBloque").rup_sortable("filter");
			if(tipo==="edit"){
				$("#bloques_feedback").rup_feedback("set", $.rup.i18nParse($.rup.i18n.base,"rup_table.modifyOK"), "ok");
			}else{
				$("#bloques_feedback").rup_feedback("set", $.rup.i18nParse($.rup.i18n.base,"rup_table.insertOK"), "ok");
			}
		}
		, error: function() {
			$("#bloques_feedback").rup_feedback("set", $.rup.i18nParse($.rup.i18n.base,"rup_table.insertError"), "error");
		}
	});
	$("#bloque_detail_div").rup_dialog("close");
}

jQuery(function($){
		
	$("#bloque_detail_div").rup_dialog({
        type: $.rup.dialog.DIV,
        autoOpen: false,
        modal: true,
        resizable: false,
        width: "88%",
        title: $.rup.i18n.app.comun.bloque,
		open: function(a, b, c) {
		}
	});
	
	$("#bloque_detail_link_cancel").on("click", function(){
		$("#bloque_detail_div").rup_dialog("close");
	});
	
	$("#bloque_detail_button_save").on("click", function(){
		if(jQuery("#bloque_detail_form").valid()){
			var url ="/y41egGestionWar/bloque/addBloqueEncuesta";
			var type ="POST";
			if(tipo==="edit"){
				url = "/y41egGestionWar/bloque";
				type = "PUT";
				var resultado = validarEncuestaBloque();
				if(resultado=="EE"){
					jQuery.rup_messages("msgConfirm", {
						message: $.rup.i18n.app.mensaje.editarBloqueEncuesta,
						title: $.rup.i18nParse($.rup.i18n.base.rup_message,"confirmacion"),
						OKFunction: function() {
							guardarBloque(type, url);
						}
					});
					return false;
				}else{
					guardarBloque(type, url);
				}
			}else{
				guardarBloque(type, url);
			}
		}
	});
	
	$('#activaBloque_detail_table').rup_combo({
		source : [
		{
			label :  $.rup.i18n.app.comun.si.toUpperCase(),
			value : SI
		}, {
			label :  $.rup.i18n.app.comun.no.toUpperCase(),
			value : NO
		} ],
		width: "98%",
		ordered: false,
		open : function() {
			jQuery('#activaBloque_detail_table-menu').width(jQuery('#activaBloque_detail_table-button').innerWidth());
		}
	});
		
	jQuery("#obligatorioBloque_detail_table").bootstrapSwitch().bootstrapSwitch('setSizeClass', 'switch-small')
		.bootstrapSwitch('setOnLabel', $.rup.i18n.app.comun.si.toUpperCase())
		.bootstrapSwitch('setOffLabel', $.rup.i18n.app.comun.no.toUpperCase());
	
});